Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

SpringServerServlet missing from org.restlet.ext.spring-2.1-RC5.jar #621

Closed
yashima opened this issue Jul 18, 2012 · 3 comments
Closed

SpringServerServlet missing from org.restlet.ext.spring-2.1-RC5.jar #621

yashima opened this issue Jul 18, 2012 · 3 comments
Milestone

Comments

@yashima
Copy link

@yashima yashima commented Jul 18, 2012

I am pulling my restlet dependencies from this repository:

<repository>
    <id>maven-restlet</id>
    <name>Public Online Restlet Repository</name>
    <url>http://maven.restlet.org</url>
</repository>

The jar org.restlet.ext.spring-2.1-RC5.jar (same issue with RC1 and 2.0.14) is missing a class file: SpringServerServlet

The class can be found here:

https://github.com/restlet/restlet-framework-java/blob/master/modules/org.restlet.ext.spring/src/org/restlet/ext/spring/SpringServerServlet.java

And documented here:

http://www.restlet.org/documentation/2.1/jee/ext/org/restlet/ext/spring/SpringServerServlet.html

The committed code seems to be working fine. All other classes in the package are present. So I am guessing it is missing only accidentally from those jars?

@jlouvel
Copy link
Member

@jlouvel jlouvel commented Jul 18, 2012

Which editions are you using? If it is the Java SE edition, there is no Servlet support available, hence the absence of this class.

@yashima
Copy link
Author

@yashima yashima commented Jul 18, 2012

Thank you for the fast feedback.

I am using this dependency

            <dependency>
                <groupId>org.restlet.jse</groupId>
                <artifactId>org.restlet.ext.spring</artifactId>
                <version>${restlet.version}</version>
                <type>jar</type>
                <scope>compile</scope>
            </dependency>

So yes it is the Java SE edition. I wasn't aware there was another one. So I should use the jee version? Can I mix jars from jse and jee editions? (I guess this can be closed then)

@jlouvel
Copy link
Member

@jlouvel jlouvel commented Jul 18, 2012

Just use this groupId: org.restlet.jee (Java EE/Servlet edition). I wouldn''t recommend mixing

@jlouvel jlouvel closed this Jul 18, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants